Skip to main content
GET
/
organization
/
{organizationId}
/
events
Get all events inside the organization
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/events \
  --header 'Authorization: Bearer <token>'
{
  "links": {
    "previous": "<string>",
    "next": "<string>"
  },
  "organization_max_limit_reached": true,
  "events": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z",
      "event_type": "CREATE",
      "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_name": "<string>",
      "target_type": "APPLICATION",
      "sub_target_type": "ADVANCED_SETTINGS",
      "change": "<string>",
      "origin": "API",
      "triggered_by": "<string>",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_name": "<string>",
      "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "environment_name": "<string>",
      "user_agent": "<string>",
      "original_change": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Query Parameters

pageSize
number | null
default:10

The number of events to display in the current page

fromTimestamp
string | null

Display events triggered since this timestamp.
A range of date can be specified by using from-timestamp with to-timestamp The format is a timestamp with nano precision

toTimestamp
string | null

Display events triggered before this timestamp.
A range of date can be specified by using to-timestamp with from-timestamp The format is a timestamp with nano precision

continueToken
string

Token used to fetch the next page results The format is a timestamp with nano precision

stepBackToken
string

Token used to fetch the previous page results The format is a timestamp with nano precision

eventType
enum<string>

Type of the organization event

Available options:
CREATE,
UPDATE,
DELETE,
ACCEPT,
EXPORT,
CLONE,
DEPLOY_QUEUED,
STOP_QUEUED,
RESTART_QUEUED,
DELETE_QUEUED,
UNINSTALL_QUEUED,
MAINTENANCE,
DRY_RUN,
TRIGGER_REDEPLOY,
TRIGGER_CANCEL,
FORCE_RUN_QUEUED,
FORCE_RUN_QUEUED_DEPLOY,
FORCE_RUN_QUEUED_STOP,
FORCE_RUN_QUEUED_DELETE,
TRIGGER_DEPLOY,
TRIGGER_STOP,
TRIGGER_RESTART,
TRIGGER_DELETE,
TRIGGER_UNINSTALL,
TRIGGER_DEPLOY_DRY_RUN,
TRIGGER_TERRAFORM_FORCE_UNLOCK,
TRIGGER_TERRAFORM_MIGRATE_STATE,
TRIGGER_FORCE_RUN,
TRIGGER_FORCE_RUN_DEPLOY,
TRIGGER_FORCE_RUN_STOP,
TRIGGER_FORCE_RUN_DELETE,
DEPLOYED,
STOPPED,
DELETED,
UNINSTALLED,
RESTARTED,
DEPLOYED_DRY_RUN,
FORCE_RUN_SUCCEEDED,
TERRAFORM_FORCE_UNLOCK_SUCCEEDED,
TERRAFORM_MIGRATE_STATE_SUCCEEDED,
DEPLOY_FAILED,
STOP_FAILED,
DELETE_FAILED,
UNINSTALL_FAILED,
RESTART_FAILED,
DEPLOYED_DRY_RUN_FAILED,
FORCE_RUN_FAILED,
TERRAFORM_FORCE_UNLOCK_FAILED,
TERRAFORM_MIGRATE_STATE_FAILED,
SHELL,
PORT_FORWARD,
REMOTE_DEBUG,
IMPORT,
LOCK,
UNLOCK
Example:

"CREATE"

targetType
enum<string>

Type of the organization event

Available options:
APPLICATION,
CLUSTER,
CONTAINER,
CONTAINER_REGISTRY,
DATABASE,
ENTERPRISE_CONNECTION,
ENVIRONMENT,
JOB,
HELM,
HELM_REPOSITORY,
MEMBERS_AND_ROLES,
ORGANIZATION,
PROJECT,
WEBHOOK,
TERRAFORM
Example:

"APPLICATION"

targetId
string<uuid> | null

The target resource id to search.
Must be specified with the corresponding target_type

subTargetType
enum<string> | null

Type of the organization event

Available options:
ADVANCED_SETTINGS,
ALERT_RULE,
ANNOTATIONS_GROUP,
API_TOKEN,
BILLING_INFO,
BILLING_USAGE_REPORT,
CLOUD_PROVIDER_CREDENTIALS,
CLUSTER_CREDENTIALS,
CLUSTER_ROUTING_TABLE,
CONFIG,
CREDIT_CARD,
CREDIT_CODE,
CUSTOM_DOMAIN,
CUSTOM_ROLE,
DEPLOYMENT_RULE,
DEPLOYMENT_STAGE,
GITHUB_APP,
GIT_REPOSITORY,
GIT_TOKEN,
INVITATION,
KUBERNETES_CONFIGURATION,
KUBERNETES_CREDENTIALS,
LABELS_GROUP,
MEMBER_ROLE,
PLAN,
REMOTE_ACCESS,
SECRET,
SSO,
TERRAFORM,
TRANSFER_OWNERSHIP,
VARIABLE
Example:

"ADVANCED_SETTINGS"

triggeredBy
string

Information about the owner of the event (user name / apitoken / automatic action)

origin
enum<string>

Origin of the organization event

Available options:
API,
CLI,
CONSOLE,
GIT,
QOVERY_INTERNAL,
TERRAFORM_PROVIDER
Example:

"API"

serviceProjectId
string

The project chosen when filtering on a service type

serviceEnvironmentId
string

The environment chosen when filtering on a service type

Response

Get organization events

organization_max_limit_reached
boolean

Indicates if you cannot see previous logs according to your organization max limit

events
object[]